# Class BedRgb
RGB color for Bed12Record.

Defined in | <seqan/bed_io.h>
Signature | `class BedRgb;`

## Member Function Overview

- `BedRgb::BedRgb();, BedRgb::BedRgb(red, green, blue);`
  Default constructor and initialization of integer RGB values.

## Member Variable Overview

- `int32_t BedRgb::blue`
  Blue value of RGB color (default is `0`).
- `int32_t BedRgb::green`
  Green value of RGB color (default is `0`).
- `int32_t BedRgb::red`
  Red value of RGB color (default is `0`).

## Member Functions Detail

### `BedRgb::BedRgb(); BedRgb::BedRgb(red, green, blue);`

Default constructor and initialization of integer RGB values.

#### Parameters

`blue` | int32_t blue value `0-255` (defaults to `0`).
`green` | int32_t green value `0-255` (defaults to `0`).
`red` | int32_t red value `0-255` (defaults to `0`).

#### Data Races

Thread safety unknown!

## Member Variables Detail

### `int32_t BedRgb::blue`

Blue value of RGB color (default is `0`).

### `int32_t BedRgb::green`

Green value of RGB color (default is `0`).

### `int32_t BedRgb::red`

Red value of RGB color (default is `0`).

#### Dox Sources

    /*!
     * @class BedRgb
     *
     * @headerfile <seqan/bed_io.h>
     *
     * @brief RGB color for @link Bed12Record @endlink.
     *
     * @signature class BedRgb;
     *
     * @fn BedRgb::BedRgb
     *
     * @brief Default constructor and initialization of integer RGB values.
     *
     * @signature BedRgb::BedRgb();
     * @signature BedRgb::BedRgb(red, green, blue);
     *
     * @param[in] blue int32_t blue value <tt>0-255</tt> (defaults to <tt>0</tt>).
     * @param[in] green int32_t green value <tt>0-255</tt> (defaults to <tt>0</tt>).
     * @param[in] red int32_t red value <tt>0-255</tt> (defaults to <tt>0</tt>).
     *
     * @var int32_t BedRgb::red;
     *
     * @brief Red value of RGB color (default is <tt>0</tt>).
     *
     * @var int32_t BedRgb::green;
     *
     * @brief Green value of RGB color (default is <tt>0</tt>).
     *
     * @var int32_t BedRgb::blue;
     *
     * @brief Blue value of RGB color (default is <tt>0</tt>).
     */